//Defaults for each of the three different types.
var MWA = [2, 4, 3, 2, 4, 2, 2];
var VDI = [0, 1, 4, 0, 4, 4, 0];
var Native = [4, 0, 1, 4, 2, 3, 4];

var canvasWidth = 358;
var canvasHeight = 350;

var scenario = 1;
var responseHTML = "<p><b>Squeaker Says...<span class='buttonstyle'><input id='squeakersaysbutton' name = 'nwa' type = 'button' value='Show' onclick='showAnswer()'/></span></b></p>";
	
function showWorkArea() {
	document.getElementById('left').style.visibility='hidden';
	document.getElementById('workarea').style.visibility='visible';
	document.getElementById('kiviat').style.visibility='visible';
	document.getElementById('response').style.visibility='hidden';
}

function showResponse() {
	document.getElementById('response').innerHTML = "<b>Squeaker Says...</b>" + scenarios[scenario-1].squeakersays;
	document.getElementById('left').style.visibility='hidden';
	document.getElementById('workarea').style.visibility='hidden';
	document.getElementById('kiviat').style.visibility='hidden';
	document.getElementById('response').style.visibility='visible';
	
}

function showScenario() {
	document.getElementById('left').style.visibility='visible';
	document.getElementById('workarea').style.visibility='hidden';
	document.getElementById('kiviat').style.visibility='hidden';
	document.getElementById('response').style.visibility='hidden';
}

function showAnswer() {
	document.getElementById('response').innerHTML = responseHTML + scenarios[scenario-1].squeakersays;	
}

function nextScenario() {
	if ( scenario < 3) {
		document.getElementById('response').innerHTML = responseHTML;
		document.getElementById("prevscenario").disabled = false;
		scenario = scenario + 1;
		//alert(scenarios[scenario - 1].scenario);
		document.getElementById('requirements').innerHTML = scenarios[scenario - 1].scenario;
		document.getElementById('pagenumber').innerHTML= scenario + ' of 3';
		//document.getElementById('response').style.visibility = 'hidden';
		if (scenario == 3) {
			document.getElementById("nextscenario").disabled = true;
		}
	} 
}

function prevScenario() {
	if ( scenario > 1) {
		document.getElementById('response').innerHTML = responseHTML;
		document.getElementById("nextscenario").disabled = false;
		scenario = scenario - 1;
		document.getElementById('requirements').innerHTML = scenarios[scenario - 1].scenario;
		document.getElementById('pagenumber').innerHTML= scenario + ' of 3';
		//document.getElementById('response').style.visibility = 'hidden';
		if (scenario == 1) {
			document.getElementById("prevscenario").disabled = true;
		}
	}
}

function showPriority(ctx) {
	ctx.lineWidth=3;
	ctx.strokeStyle = "rgba(255,0,0,.5)";
	ctx.fillStyle = "rgba(190,0,0,.5)";
	ctx.beginPath();
	ctx.moveTo(points[0][0].x, points[0][0].y);
	ctx.lineTo(points[0][1].x, points[0][1].y);
	ctx.lineTo(points[0][2].x, points[0][2].y);
	ctx.lineTo(points[0][3].x, points[0][3].y);
	ctx.lineTo(points[0][4].x, points[0][4].y);
	ctx.lineTo(points[0][5].x, points[0][5].y);
	ctx.lineTo(points[0][0].x, points[0][0].y);
	ctx.fill();
	ctx.stroke();
}
	
function ResetArea(event) {
	var mwacap = document.getElementById("mwacanvas");
	var mwactx = mwacap.getContext('2d');
	mwactx.clearRect(0,0,canvasWidth,canvasHeight);
		
	var nativecap = document.getElementById("nativecanvas");
	var nativectx = nativecap.getContext('2d');
	nativectx.clearRect(0,0,canvasWidth,canvasHeight);
		
	var vdicap = document.getElementById("vdicanvas");
	var vdictx = vdicap.getContext('2d');
	vdictx.clearRect(0,0,canvasWidth,canvasHeight);
		
	var priority = document.getElementById("prioritycanvas");
	var priorityContext = priority.getContext('2d');
	priorityContext.clearRect(0,0,canvasWidth,canvasHeight);
	showPriority(priorityContext);
		
	document.getElementById('mwacb').checked=false;
	document.getElementById('nativecb').checked=false;
	document.getElementById('vdicb').checked=false;
	document.getElementById("nx").value=0;
	document.getElementById("portability").value=0;
	document.getElementById("market").value=0;
	document.getElementById("manageability").value=0;
	document.getElementById("security").value=0;
	document.getElementById("offline").value=0;	
}

function sliderChange(event) {
	var kiviat = document.getElementById("prioritycanvas");
	var ctx = kiviat.getContext('2d');
	ctx.clearRect(0,0,canvasWidth,canvasHeight);
	var nx = document.getElementById("nx");
	var portability = document.getElementById("portability");
	var tm = document.getElementById("market");
	var maint = document.getElementById("offline");
	var manage = document.getElementById("manageability");
	var disc = document.getElementById("security");
	ctx.lineWidth=3;
	ctx.strokeStyle = "rgba(255,0,0,.5)";
	ctx.fillStyle = "rgba(190,0,0,.5)";
	ctx.beginPath();
	ctx.moveTo(points[nx.value][0].x, points[nx.value][0].y);
	ctx.lineTo(points[portability.value][1].x, points[portability.value][1].y);
	ctx.lineTo(points[tm.value][2].x, points[tm.value][2].y);
	ctx.lineTo(points[maint.value][3].x, points[maint.value][3].y);
	ctx.lineTo(points[manage.value][4].x, points[manage.value][4].y);
	ctx.lineTo(points[disc.value][5].x, points[disc.value][5].y);
	ctx.lineTo(points[nx.value][0].x, points[nx.value][0].y);
	ctx.fill();
	ctx.stroke();
}

function Arch(event, cap, vals, stroke, fill) {
	var cb = event.target;
	var cap = document.getElementById(cap);
	var ctx = cap.getContext('2d');
	if (cb.checked == true) {
		ctx.lineWidth=3;
		ctx.strokeStyle = stroke;
		ctx.fillStyle = fill;
		ctx.beginPath();
		pt1 = vals[0];pt2 = vals[1];pt3 = vals[2]; pt4 = vals[3]; pt5 = vals[4];pt6 = vals[5];
		ctx.moveTo(points[pt1][0].x, points[pt1][0].y);
		ctx.lineTo(points[pt2][1].x, points[pt2][1].y);
		ctx.lineTo(points[pt3][2].x, points[pt3][2].y);
		ctx.lineTo(points[pt4][3].x, points[pt4][3].y);
		ctx.lineTo(points[pt5][4].x, points[pt5][4].y);
		ctx.lineTo(points[pt6][5].x, points[pt6][5].y);
		ctx.lineTo(points[pt1][0].x, points[pt1][0].y);
		ctx.fill();
		ctx.stroke();
	} else {
		ctx.clearRect(0,0,canvasWidth,canvasHeight);
	}
}