scenario1 = { scenario: "<b>The First Scenario</b><p>You are tasked with developing a banking application that allows customers to check account balances, make transfers, and view recent transactions. Your customers use a wide array of mobile devices. In working with the product owner to gather requirements, the product owner has hinted at the possibility of allowing customers to take pictures of a check from their mobile device from within the application and deposit the amount of the check into their checking account. This requires the use of the mobile device's camera.</p><p>For the initial release, it's important to bring the product to market, but you also recognize that a longer term strategy that allows you to leverage the existing application in support of more advanced features is important.</p>",
	          squeakersays: "<p>In this scenario, Squeaker believes that portability is a 5, NX is a 4, Time-to-Market is a 3, Off-Line is a 3, Manageability is a 1, and Security is a 3. Based on these requirements, Squeaker recommends starting with an MWA and eventually using the MWA in conjunction with a Hybrid framework to deliver an RMA.<p>"};

scenario2 = { scenario: "			<b>The Second Scenario</b><p>You are tasked with providing access to several Windows client/server applications on employee iPad devices. Management has asked that you make these available as soon as possible. You don't need to incorporate any additional functionality into the application beyond what's already available.</p>",
              squeakersays: "<p>In this scenario, Squeaker believes that portability is a 1, NX is a 1, Time-to-Market is a 4, Off-Line is a 1, Manageability is a 1, and Security is a 3. Based on these requirements, Squeaker recommends using VDI.</p>"};

scenario3 = { scenario: "<b>The Third Scenario</b><p>Greater than 80% of your insurance company's customers use using Android and iOS. Management knows that a mobile application that allows customers to file their own claims following an incident will reduce claims processing time by more than a day. </p><p>The application must leverage the GPS on the device so that it can submit the location of the accident when the customer files the claim. You also want to allow the customer to snap a few photographs of the accident scene and upload those pictures. Finally, to accommodate customers living in rural areas, you want to make sure the application functions properly with limited bandwidth or no connectivity.</p>",
              squeakersays: "<p>In this scenario, Squeaker believe NX is a 4, Portability is a 3, Time-to-market is a 2, off-line is a 4, manageability is a 2, and security is a 2. Based on these requirements, Squeaker recommends using Native.</p>"};

var scenarios = [scenario1, scenario2, scenario3];

var widthAdjust = 150;
var heightAdjust = 40;

window.onresize = positionKiviat;

window.onload = function() {
	document.getElementById('requirements').innerHTML = scenario1.scenario;
	document.getElementById("prevscenario").disabled = true;
	var capabilities = document.getElementById('capabilities');
	positionKiviat();
	
	var kiviatLayer = document.getElementById("kiviatcanvas");
	
	var kiviatContext = kiviatLayer.getContext('2d');
	var size = {width:300, height:300};
	var offset = {x: 135, y:135};
	var kiviatRing = 4;
	var kiviat = new Kiviat(kiviatContext);
	for (i=0;i<5;i++)
	{
		kiviat.draw(offset.x, offset.y, size, kiviatRing);
		offset.x = offset.x - 50;
		offset.y = offset.y - 50;
		size.width = size.width - 50;
		size.height = size.height - 50;
		kiviatRing = kiviatRing - 1;
	}
	
	kiviat.drawLines();
	kiviat.addLabel('NX',180,15,10);
	kiviat.addLabel('Portability',310,85,10);
	kiviat.addLabel('Time-to-Market',290,260,10);
	kiviat.addLabel('Off-Line',160,340,10);
	kiviat.addLabel('Manageability',10,275,10);
	kiviat.addLabel('Security',10,70,10);
	kiviatContext.stroke();
	
	var priorityLayer = document.getElementById("prioritycanvas");
	var priorityContext = priorityLayer.getContext('2d');
	showPriority(priorityContext);
};

function positionKiviat() {
	if ( screen.width > 480) {
		var capabilities = document.getElementById('capabilities');
		var kiviatleft = parseInt(document.getElementById('kiviatcanvas').style.left.substring(0,3));
		var kiviattop = parseInt(document.getElementById('kiviatcanvas').style.top.substring(0,3));
		var priorityleft = parseInt(document.getElementById('prioritycanvas').style.left.substring(0,3));
		var prioritytop = parseInt(document.getElementById('prioritycanvas').style.top.substring(0,3));
		var mwaleft = parseInt(document.getElementById('mwacanvas').style.left.substring(0,3));
		var mwatop = parseInt(document.getElementById('mwacanvas').style.top.substring(0,3));
		var vdileft = parseInt(document.getElementById('vdicanvas').style.left.substring(0,3));
		var vditop = parseInt(document.getElementById('vdicanvas').style.top.substring(0,3));
		var nativeleft = parseInt(document.getElementById('nativecanvas').style.left.substring(0,3));
		var nativetop = parseInt(document.getElementById('nativecanvas').style.top.substring(0,3));
	
		document.getElementById('kiviatcanvas').style.left = widthAdjust + capabilities.offsetWidth + 1 + 'px';
		document.getElementById('kiviatcanvas').style.top = heightAdjust + capabilities.offsetHeight - 1 + 'px';
		document.getElementById('prioritycanvas').style.left = widthAdjust + capabilities.offsetWidth + 1 + 'px';
		document.getElementById('prioritycanvas').style.top = heightAdjust + capabilities.offsetHeight - 1 + 'px';
		document.getElementById('mwacanvas').style.left = widthAdjust + capabilities.offsetWidth + 1 + 'px';
		document.getElementById('mwacanvas').style.top = heightAdjust + capabilities.offsetHeight - 1 + 'px';
		document.getElementById('vdicanvas').style.left = widthAdjust + capabilities.offsetWidth + 1 + 'px';
		document.getElementById('vdicanvas').style.top = heightAdjust + capabilities.offsetHeight - 1 + 'px';
		document.getElementById('nativecanvas').style.left = widthAdjust + capabilities.offsetWidth + 1 + 'px';
		document.getElementById('nativecanvas').style.top = heightAdjust + capabilities.offsetHeight - 1 + 'px';
	}
}